Bug 12166 - smbclient allinfo doesn't correctly return 'previous version' info over SMB2
smbclient allinfo doesn't correctly return 'previous version' info over SMB2
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 enhancement
: ---
Assigned To: Karolin Seeger
Jeremy Allison
:
Depends on: 12165
Blocks: 12172
  Show dependency treegraph
 
Reported: 2016-08-18 18:41 UTC by Jeremy Allison
Modified: 2016-08-29 02:48 UTC (History)
2 users (show)

See Also:


Attachments
wip for master. (8.68 KB, patch)
2016-08-18 18:43 UTC, Jeremy Allison
no flags Details
git-am fix for 4.5.0 (20.28 KB, patch)
2016-08-24 23:46 UTC, Jeremy Allison
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2016-08-18 18:41:30 UTC
This is due to a missing code path in the SMB2 client code. Patch to follow.
Comment 1 Jeremy Allison 2016-08-18 18:43:05 UTC
Created attachment 12380 [details]
wip for master.
Comment 2 Jeremy Allison 2016-08-24 23:46:01 UTC
Created attachment 12399 [details]
git-am fix for 4.5.0

Cherry-picked from master.
Comment 3 Uri Simchoni 2016-08-25 18:01:04 UTC
Comment on attachment 12399 [details]
git-am fix for 4.5.0

lgtm.
Comment 4 Uri Simchoni 2016-08-25 18:02:42 UTC
Assigning to Karolin for inclusion in 4.5.x (IMHO it should not block 4.5.0)
Comment 5 Stefan Metzmacher 2016-08-28 16:13:05 UTC
Pushed to autobuild-v4-5-test.
Comment 6 Stefan Metzmacher 2016-08-29 02:48:12 UTC
Pushed to v4-5-test.